QGIS Application - Bug report #21902
Fails to build with GDAL 2.5.0-betal
2019-04-22 01:29 PM - Bas Couwenberg

Status: Closed
Priority: Normal
Assignee:

Category: Build/Install

Affected QGIS version:3.4.6
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 29717

Description

QGIS 3.4.7 fails to build with GDAL 2.5.0-beta:

./../src/core/qgscoordinatereferencesystem.cpp: In member function 'bool

QgsCoordinateReferenceSystem::createFromWkt(const QString&)":

./../src/core/qgscoordinatereferencesystem.cpp:641:5: error: 'OSRFixup' was not declared in this scope

OSRFixup( d->mCRS );

From https://github.com/OSGeo/gdal/blob/v2.5.0betal/gdal/MIGRATION GUIDE.TXT:

- removal of OSRFixup() and OSRFixupOrdering(): no longer needed since objects constructed are always valid

Associated revisions

Revision 0f315e47 - 2019-04-23 08:53 AM - Jiirgen Fischer

avoid OSRFixup with GDAL >= 2.5 (fixes #21902)

(cherry picked from commit 9a8c0d28982f3c31dc0f7c8a2f796c85ec801191)

History

#1 - 2019-04-23 08:54 AM - Jiirgen Fischer
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|0f315e47b604b5d45c620118f74421fde96e7ef6.
